Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.tags
Class MondrianOlapModelTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.tonbeller.jpivot.tags.OlapModelTag
                  com.tonbeller.jpivot.tags.MondrianOlapModelTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class MondrianOlapModelTag

extends OlapModelTag

jsp tag that defines a mondrian query

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`MondrianOlapModelTag()`

Method Summary
`protected void` | `allowOverride(com.tonbeller.wcf.controller.RequestContext context, MondrianModelFactory.Config cfg)` default implementation delegates to `MondrianModelFactory.Config.allowOverride(RequestContext)`
`java.lang.String` | `getCatalogUri()` Returns the catalogUri.
`java.lang.String` | `getConfig()` Returns the config.
`java.lang.String` | `getConnectionPooling()`
`java.lang.String` | `getDataSource()`
`java.lang.String` | `getDataSourceChangeListener()`
`protected java.net.URL` | `getDefaultConfig()`
`java.lang.String` | `getDynLocale()` Getter for property locale.
`java.lang.String` | `getDynResolver()`
`java.lang.String` | `getJdbcDriver()` Returns the jdbcDriver.
`java.lang.String` | `getJdbcPassword()` Returns the jdbcPassword.
`java.lang.String` | `getJdbcUrl()` Returns the jdbcUrl.
`java.lang.String` | `getJdbcUser()` Returns the jdbcUser.
`protected OlapModel` | `getOlapModel(com.tonbeller.wcf.controller.RequestContext context)`
`java.lang.String` | `getRole()`
`void` | `setCatalogUri(java.lang.String catalogUri)` Sets the catalogUri.
`void` | `setConfig(java.lang.String config)` Sets the config.
`void` | `setConnectionPooling(java.lang.String connectionPooling)`
`void` | `setDataSource(java.lang.String string)`
`void` | `setDataSourceChangeListener(java.lang.String dataSourceChangeListener)`
`void` | `setDynLocale(java.lang.String dynLocale)` Setter for property locale.
`void` | `setDynResolver(java.lang.String dynResolver)`
`void` | `setJdbcDriver(java.lang.String jdbcDriver)` Sets the jdbcDriver.
`void` | `setJdbcPassword(java.lang.String jdbcPassword)` Sets the jdbcPassword.
`void` | `setJdbcUrl(java.lang.String jdbcUrl)` Sets the jdbcUrl.
`void` | `setJdbcUser(java.lang.String jdbcUser)` Sets the jdbcUser.
`void` | `setRole(java.lang.String role)`

Methods inherited from class com.tonbeller.jpivot.tags.OlapModelTag
`addClickable, doEndTag, doStartTag, release, setQueryName, setStackMode`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### MondrianOlapModelTag

    public MondrianOlapModelTag()

Method Detail

### getOlapModel

    protected OlapModel getOlapModel(com.tonbeller.wcf.controller.RequestContext context)
                              throws javax.servlet.jsp.JspException,
                                     OlapException,
                                     org.xml.sax.SAXException,
                                     java.io.IOException

  Specified by:
    `getOlapModel` in class `OlapModelTag`
  Throws:
    `javax.servlet.jsp.JspException`
    `OlapException`
    `org.xml.sax.SAXException`
    `java.io.IOException`

### allowOverride

    protected void allowOverride(com.tonbeller.wcf.controller.RequestContext context,
                                 MondrianModelFactory.Config cfg)

  default implementation delegates to `MondrianModelFactory.Config.allowOverride(RequestContext)`

### getDefaultConfig

    protected java.net.URL getDefaultConfig()

### getCatalogUri

    public java.lang.String getCatalogUri()

  Returns the catalogUri.

  Returns:
    String

### getJdbcDriver

    public java.lang.String getJdbcDriver()

  Returns the jdbcDriver.

  Returns:
    String

### getJdbcUrl

    public java.lang.String getJdbcUrl()

  Returns the jdbcUrl.

  Returns:
    String

### setCatalogUri

    public void setCatalogUri(java.lang.String catalogUri)

  Sets the catalogUri.

  Parameters:
    `catalogUri` - The catalogUri to set

### setJdbcDriver

    public void setJdbcDriver(java.lang.String jdbcDriver)

  Sets the jdbcDriver.

  Parameters:
    `jdbcDriver` - The jdbcDriver to set

### setJdbcUrl

    public void setJdbcUrl(java.lang.String jdbcUrl)

  Sets the jdbcUrl.

  Parameters:
    `jdbcUrl` - The jdbcUrl to set

### getJdbcPassword

    public java.lang.String getJdbcPassword()

  Returns the jdbcPassword.

  Returns:
    String

### getJdbcUser

    public java.lang.String getJdbcUser()

  Returns the jdbcUser.

  Returns:
    String

### setJdbcPassword

    public void setJdbcPassword(java.lang.String jdbcPassword)

  Sets the jdbcPassword.

  Parameters:
    `jdbcPassword` - The jdbcPassword to set

### setJdbcUser

    public void setJdbcUser(java.lang.String jdbcUser)

  Sets the jdbcUser.

  Parameters:
    `jdbcUser` - The jdbcUser to set

### getConfig

    public java.lang.String getConfig()

  Returns the config.

  Returns:
    String

### setConfig

    public void setConfig(java.lang.String config)

  Sets the config.

  Parameters:
    `config` - The config to set

### setDataSource

    public void setDataSource(java.lang.String string)

  Parameters:
    `string` -

### setRole

    public void setRole(java.lang.String role)

  Parameters:
    `role` - The role to set.

### getDynResolver

    public java.lang.String getDynResolver()

  Returns:
    the dynamic variable resolver class name

### setDynResolver

    public void setDynResolver(java.lang.String dynResolver)

  Parameters:
    `dynresolver` - - the dynamic variable resolver class name

### setConnectionPooling

    public void setConnectionPooling(java.lang.String connectionPooling)

  Parameters:
    `connectionPooling` - - "false" : Mondrian must not pool JDBC connections

### getConnectionPooling

    public java.lang.String getConnectionPooling()

  Returns:
    "false" if Mondrion must not pool JDBC connections

### getDataSource

    public java.lang.String getDataSource()

### getRole

    public java.lang.String getRole()

### getDynLocale

    public java.lang.String getDynLocale()

  Getter for property locale.

  Returns:
    Value of property locale.

### setDynLocale

    public void setDynLocale(java.lang.String dynLocale)

  Setter for property locale.

  Parameters:
    `locale` - New value of property locale.

### getDataSourceChangeListener

    public java.lang.String getDataSourceChangeListener()

  Returns:
    Returns the dataSourceChangeListener.

### setDataSourceChangeListener

    public void setDataSourceChangeListener(java.lang.String dataSourceChangeListener)

  Parameters:
    `dataSourceChangeListener` - The dataSourceChangeListener to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD